「YUM」- 限制YUM更新软件包

  CREATED BY JENKINSBOT

问题描述

在执行 yum installyum upgrade 时,某些相关软件包会被更新,但有时我们并不希望这种事情发生。

该笔记将记录:如何“锁定”软件包,防止被意外更新。

解决办法

第一步、安装扩展

yum install yum-plugin-versionlock

第二步、锁定软件

yum versionlock gcc-*

或者,直接修改 /etc/yum/pluginconf.d/versionlock.list 配置文件。

常用其他操作

查看被锁定的软件包:

yum versionlock list

清除被锁定的软件包:

yum versionlock clear

参考文献

How to restrict yum to install or upgrade a package to a fixed specific package version?
YUM-VERSIONLOCK(1)